List pull requests for task
curl --request GET \
--url https://melso.ai/api/tasks/{id}/pull-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://melso.ai/api/tasks/{id}/pull-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://melso.ai/api/tasks/{id}/pull-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/tasks/{id}/pull-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/tasks/{id}/pull-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://melso.ai/api/tasks/{id}/pull-requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/tasks/{id}/pull-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pull_requests": [
{
"id": "<string>",
"provider": "<string>",
"workspace_id": "<string>",
"repo_owner": "<string>",
"repo_name": "<string>",
"number": 123,
"title": "<string>",
"state": "<string>",
"html_url": "<string>",
"branch": "<string>",
"head_sha": "<string>",
"author_login": "<string>",
"author_avatar_url": "<string>",
"merged_at": "<string>",
"closed_at": "<string>",
"pr_created_at": "<string>",
"pr_updated_at": "<string>",
"mergeable_state": "<string>",
"mergeable": "<string>",
"merge_state_status": "<string>",
"checks_rollup": "<string>",
"checks_conclusion": "<string>",
"checks_total": 123,
"checks_passed": 123,
"checks_failed": 123,
"checks_running": 123,
"checks_pending": 123,
"failed_check_names": [
"<string>"
],
"snapshot_stale": true,
"snapshot_fetched_at": "<string>",
"snapshot_head_sha": "<string>",
"additions": 123,
"deletions": 123,
"changed_files": 123,
"snapshot_available": true
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Tasks
List pull requests for task
Workspace member with access to this resource.
Request: Path: Task ID.
Response: {pull_requests:GitHubPullRequestResponse[]}.
Status: 200. Authentication and resource-access errors follow Overview.
GET
/
api
/
tasks
/
{id}
/
pull-requests
List pull requests for task
curl --request GET \
--url https://melso.ai/api/tasks/{id}/pull-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://melso.ai/api/tasks/{id}/pull-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://melso.ai/api/tasks/{id}/pull-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/tasks/{id}/pull-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/tasks/{id}/pull-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://melso.ai/api/tasks/{id}/pull-requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/tasks/{id}/pull-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pull_requests": [
{
"id": "<string>",
"provider": "<string>",
"workspace_id": "<string>",
"repo_owner": "<string>",
"repo_name": "<string>",
"number": 123,
"title": "<string>",
"state": "<string>",
"html_url": "<string>",
"branch": "<string>",
"head_sha": "<string>",
"author_login": "<string>",
"author_avatar_url": "<string>",
"merged_at": "<string>",
"closed_at": "<string>",
"pr_created_at": "<string>",
"pr_updated_at": "<string>",
"mergeable_state": "<string>",
"mergeable": "<string>",
"merge_state_status": "<string>",
"checks_rollup": "<string>",
"checks_conclusion": "<string>",
"checks_total": 123,
"checks_passed": 123,
"checks_failed": 123,
"checks_running": 123,
"checks_pending": 123,
"failed_check_names": [
"<string>"
],
"snapshot_stale": true,
"snapshot_fetched_at": "<string>",
"snapshot_head_sha": "<string>",
"additions": 123,
"deletions": 123,
"changed_files": 123,
"snapshot_available": true
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Path Parameters
id from the corresponding authorized response.
Response
{pull_requests:GitHubPullRequestResponse[]}.
Show child attributes
Show child attributes